function [freq_mean_features,freq_std_features,freq_m_features] = freq_features(F_s1,F_s2,F_sys,F_dia)
    tms1 = trimmean(F_s1,5,1);
    tms2 = trimmean(F_s2,5,1);
    tmsys = trimmean(F_sys,5,1);
    tmdia = trimmean(F_dia,5,1);
    freq_mean_features = [tms1,tms2,tmsys,tmdia];

    std_freq_s1 = std(F_s1/max(F_s1(:)),0,1);
    std_freq_s2 = std(F_s2/max(F_s2(:)),0,1);
    std_freq_sys = std(F_sys/max(F_sys(:)),0,1);
    std_freq_dia = std(F_dia/max(F_dia(:)),0,1);
    
    [~,freq_m1] = max(tms1);
    [~,freq_m2] = max(tms2);
    [~,freq_ms] = max(tmsys);
    [~,freq_md] = max(tmdia);
    
    std_freq_s1_max = 0;
    std_freq_s2_max = 0;
    std_freq_sys_max = 0;
    std_freq_dia_max = 0;

    if length(std_freq_s1)>1
        std_freq_s1_max = std_freq_s1(freq_m1);
    end
    if length(std_freq_s2)>1
        std_freq_s2_max = std_freq_s2(freq_m2);
    end
    if length(std_freq_sys)>1
        std_freq_sys_max = std_freq_sys(freq_ms);
    end
    if length(std_freq_dia)>1
        std_freq_dia_max = std_freq_dia(freq_md);
    end

    freq_std_features = [std_freq_s1_max,std_freq_s2_max,std_freq_sys_max,std_freq_dia_max];
    
    freq_m1 = freq_m1*500/64;
    freq_m2 = freq_m2*500/64;
    freq_ms = freq_ms*500/64;
    freq_md = freq_md*500/64;
    freq_m_features = [freq_m1,freq_m2,freq_ms,freq_md];
end

