function [lens,kurt,r_ms,F_low,F_high,lyap,wt_lyap,zcr,wt1,hi_lo,hi_all,freq_kurt] = get_segment_feature(signal,wt_signal,starts,stops)

    event_len = min(length(starts),length(stops));
    
    if event_len~=0
        s = [1,event_len];
    else
        s = [1,10];
    end
    
    lens = zeros(s);
    kurt = zeros(s);
    r_ms = zeros(s);
    F_low = zeros([s(2),14]);
    F_high = zeros([s(2),14]);
    lyap = zeros(s);
    wt_lyap = zeros(s);
    zcr = zeros(s);
    wt1 = zeros(s);
    hi_lo = zeros(s);
    hi_all = zeros(s);
    freq_kurt = zeros(s);

    for k=1:event_len
        win = starts(k):stops(k);
        segment = signal(win);
        wt_segment = wt_signal(win);

        if isempty(segment)
            continue
        end

        lens(k) = length(win)-1;

        segment=segment/abs(max(segment));
        F = abs(fft(segment,256));
        F = F/max(F);
        F = F(1:end/2);
        kurt(k)=kurtosis(segment);
        r_ms(k)=rms(segment);
        F_low(k,:) = F(3:16);
        F_high(k,:) = F(24:37);
        if length(segment)>=17
            lyap(k) = lyapunovExponent(segment,1000,5,3);
            wt_lyap(k) = lyapunovExponent(wt_segment,1000,5,3);
        end
        zcr(k) = zerocrossrate(segment);
        wt1(k) = sum(wt_segment.^2);

        lo = sum(F(1:20));
        hi = sum(F(20:end));
        hi_lo(k) = hi/lo;
        hi_all(k) = hi/sum(F);
        freq_kurt(k) = kurtosis(F);

    end
%     features = [lens;kurt;r_ms;F_low';lyap;wt_lyap;zcr;wt1;hi_lo;hi_all;freq_kurt];
%     features = normalize(fet')';
end

