function [trained_svm,coef] = train_and_validate_SVM_outcome(features,labels,train_split)

    Y_tr=[];
    X_tr=[];
    num_labels = zeros(size(labels));
    num_labels(labels=='Abnormal') = 1;
    num_labels(labels=='Normal') = -1;

    YN=find(num_labels==-1);
    YP=find(num_labels==1);

    YN_rand = YN(randperm(floor(length(YN))));
    YP_rand = YP(randperm(length(YP)));

    Y_new_tr = [YP_rand(1:floor(numel(YP_rand)*train_split)),...
                YN_rand(1:floor(numel(YN_rand)*train_split))];
    rand_num_tr = Y_new_tr(randperm(length(Y_new_tr)));

    for i=1:length(rand_num_tr)
        Y_tr(i,1)=num_labels(rand_num_tr(i));
        X_tr(i,1:size(features,2))=features(rand_num_tr(i),1:size(features,2));
    end

    disp('Training the model...')
    
    [coef,~,~,~,exp]=pca(X_tr);
    idx = find(cumsum(exp)>99,1);
    coef = coef(:,1:idx);
    feats = X_tr*coef;
    
    SVMModel = fitcsvm(feats, Y_tr,'KernelFunction','polynomial','KernelScale', 'auto', 'Standardize', true, 'BoxConstraint', 0.3, 'IterationLimit', 1e8, 'GapTolerance', 1e-2, 'Solver', 'ISDA');
    ScoreSVMModel = fitPosterior(SVMModel);
    CVSVMModel = crossval(ScoreSVMModel);

    trained_svm = CVSVMModel.Trained{1};
end

